## linux-meta-nvidia-5.19 5.19.0.1007.7

=== debian/changelog ===
linux-meta-nvidia-5.19 (5.19.0.1007.7) jammy; urgency=medium

  * Bump ABI 5.19.0-1007

  * Packaging resync (LP: #1786013)
    - [Packaging] resync debian/dkms-versions from main package

 -- Ian May <ian.may@canonical.com>  Tue, 24 Jan 2023 16:29:34 -0600

linux-meta-nvidia-5.19 (5.19.0.1006.6) jammy; urgency=medium

  * Bump ABI 5.19.0-1006

  * Packaging resync (LP: #1786013)
    - [Packaging] resync debian/dkms-versions from main package

 -- Brad Figg <bfigg@nvidia.com>  Mon, 23 Jan 2023 16:43:13 -0800

linux-meta-nvidia-5.19 (5.19.0.1005.5) jammy; urgency=medium

  * Bump ABI 5.19.0-1005

 -- Ian May <ian.may@canonical.com>  Fri, 20 Jan 2023 17:13:47 -0600

linux-meta-nvidia-5.19 (5.19.0.1004.4) jammy; urgency=medium

  * Bump ABI 5.19.0-1004

  * Packaging resync (LP: #1786013)
    - [Packaging] resync debian/dkms-versions from main package

 -- Brad Figg <bfigg@nvidia.com>  Sat, 14 Jan 2023 11:03:55 -0800

linux-meta-nvidia-5.19 (5.19.0.1003.3) jammy; urgency=medium

  * Bump ABI 5.19.0-1003

 -- Brad Figg <bfigg@nvidia.com>  Thu, 12 Jan 2023 12:29:23 -0800
