=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Standards-Version: 3.9.8
 Build-Depends: dpkg (>= 1.13.19), debhelper (>= 9), gawk, kmod
 Build-Depends-Arch:
- linux-nvidia-5.19-headers-5.19.0-1002,
- linux-headers-5.19.0-1002-nvidia,
- linux-modules-5.19.0-1002-nvidia,
+ linux-nvidia-5.19-headers-5.19.0-1007,
+ linux-headers-5.19.0-1007-nvidia,
+ linux-modules-5.19.0-1007-nvidia,
 Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-meta-nvidia/+git/jammy
 
 Package: linux-headers-nvidia-edge
