## linux-meta-nvidia-5.19 5.19.0.1010.11

=== debian/changelog ===
linux-meta-nvidia-5.19 (5.19.0.1010.11) jammy; urgency=medium

  * Bump ABI 5.19.0-1010

  * Packaging resync (LP: #1786013)
    - [Packaging] resync debian/dkms-versions from main package

 -- Brad Figg <bfigg@nvidia.com>  Mon, 24 Apr 2023 17:06:51 -0700

linux-meta-nvidia-5.19 (5.19.0.1009.10) jammy; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

 -- Ian May <ian.may@canonical.com>  Mon, 27 Mar 2023 15:54:06 -0500

linux-meta-nvidia-5.19 (5.19.0.1009.9) jammy; urgency=medium

  * Bump ABI 5.19.0-1009

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] resync debian/dkms-versions from main package

 -- Ian May <ian.may@canonical.com>  Wed, 22 Mar 2023 11:22:09 -0500

linux-meta-nvidia-5.19 (5.19.0.1008.8) jammy; urgency=medium

  * Bump ABI 5.19.0-1008

  * Packaging resync (LP: #1786013)
    - [Packaging] resync debian/dkms-versions from main package

 -- Brad Figg <bfigg@nvidia.com>  Fri, 17 Mar 2023 10:10:31 -0700
