## linux-meta-nvidia-5.19 5.19.0.1014.15

=== debian/changelog ===
linux-meta-nvidia-5.19 (5.19.0.1014.15) jammy; urgency=medium

  * Bump ABI 5.19.0-1014

 -- Ian May <ian.may@canonical.com>  Thu, 01 Jun 2023 23:23:45 -0500

linux-meta-nvidia-5.19 (5.19.0.1013.14) jammy; urgency=medium

  * Bump ABI 5.19.0-1013

 -- Ian May <ian.may@canonical.com>  Thu, 01 Jun 2023 16:06:18 -0500

linux-meta-nvidia-5.19 (5.19.0.1012.13) jammy; urgency=medium

  * Bump ABI 5.19.0-1012

  * Packaging resync (LP: #1786013)
    - [Packaging] resync debian/dkms-versions from main package

 -- Ian May <ian.may@canonical.com>  Wed, 31 May 2023 22:33:23 -0500

linux-meta-nvidia-5.19 (5.19.0.1011.12) jammy; urgency=medium

  * Bump ABI 5.19.0-1011

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] update variants
    - [Packaging] resync debian/dkms-versions from main package

 -- Ian May <ian.may@canonical.com>  Wed, 31 May 2023 14:03:12 -0500
