=== debian/control ===
Source: linux-meta-nvidia-5.19
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.9.8
Build-Depends: dpkg (>= 1.13.19), debhelper (>= 9), gawk, kmod
Build-Depends-Arch:
 linux-nvidia-5.19-headers-5.19.0-1014,
 linux-headers-5.19.0-1014-nvidia,
 linux-modules-5.19.0-1014-nvidia,
Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-meta-nvidia/+git/jammy

Package: linux-headers-nvidia-5.19
Architecture: amd64 arm64
Section: kernel
Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-nvidia
Description: Nvidia-5.19 Linux kernel headers
 This package will always depend on the latest nvidia kernel headers
 available.

Package: linux-image-nvidia-5.19
Architecture: amd64 arm64
Section: kernel
Provides: ${dkms:v4l2loopback-modules} ${dkms:zfs-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-nvidia, linux-modules-extra-${kernel-abi-version}-nvidia [amd64 arm64 powerpc ppc64el s390x], linux-firmware [amd64 armhf arm64 ppc64el], intel-microcode [amd64], amd64-microcode [amd64]
Recommends: thermald [amd64]
Description: Nvidia-5.19 Linux kernel image
 This package will always depend on the latest nvidia kernel image
 available.

Package: linux-tools-nvidia-5.19
Architecture: amd64 arm64
Section: kernel
Provides: linux-tools
Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-nvidia
Description: Nvidia-5.19 Linux kernel tools
 This package will always depend on the latest nvidia kernel tools
 available.

Package: linux-cloud-tools-nvidia-5.19
Architecture: amd64
Section: kernel
Provides: linux-cloud-tools
Depends: ${misc:Depends}, linux-cloud-tools-${kernel-abi-version}-nvidia
Description: Nvidia-5.19 Linux kernel cloud tools
 This package will always depend on the latest nvidia kernel cloud tools
 available.

Package: linux-nvidia-5.19
Architecture: amd64 arm64
Section: kernel
Provides: kernel-testing--linux-nvidia-5.19--full--nvidia, kernel-testing--linux-nvidia-5.19--full--preferred,
Depends: ${misc:Depends}, linux-image-nvidia-5.19 (= ${binary:Version}), linux-headers-nvidia-5.19 (= ${binary:Version})
Description: Complete Nvidia-5.19 Linux kernel and headers
 This package will always depend on the latest complete nvidia Linux kernel
 and headers.


Package: linux-headers-nvidia-64k-5.19
Architecture: arm64
Section: kernel
Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-nvidia-64k
Description: Nvidia-5.19 64K Linux kernel headers
 This package will always depend on the latest nvidia-64k kernel headers
 available.

Package: linux-image-nvidia-64k-5.19
Architecture: arm64
Section: kernel
Provides: ${dkms:wireguard-linux-compat-modules}
Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-nvidia-64k, linux-firmware
Recommends: thermald [amd64]
Description: Nvidia-5.19 64K Linux kernel image
 This package will always depend on the latest nvidia-64k kernel image
 available.

Package: linux-tools-nvidia-64k-5.19
Architecture: arm64
Section: kernel
Provides: linux-tools
Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-nvidia-64k
Description: Nvidia-5.19 64K Linux kernel tools
 This package will always depend on the latest nvidia-64k kernel tools
 available.

Package: linux-nvidia-64k-5.19
Architecture: arm64
Section: kernel
Provides: kernel-testing--linux-nvidia-5.19--full--nvidia-64k,
Depends: ${misc:Depends}, linux-image-nvidia-64k-5.19 (= ${binary:Version}), linux-headers-nvidia-64k-5.19 (= ${binary:Version})
Description: Complete Nvidia-5.19 64K Linux kernel and headers
 This package will always depend on the latest complete nvidia-64k Linux kernel
 and headers.


Package: linux-headers-nvidia-lowlatency-5.19
Architecture: amd64
Section: kernel
Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-nvidia-lowlatency
Description: Nvidia-5.19 Linux kernel headers
 This package will always depend on the latest nvidia-lowlatency kernel headers
 available.

Package: linux-image-nvidia-lowlatency-5.19
Architecture: amd64
Section: kernel
Provides: ${dkms:v4l2loopback-modules} ${dkms:zfs-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-nvidia-lowlatency, linux-modules-extra-${kernel-abi-version}-nvidia-lowlatency [amd64 arm64 powerpc ppc64el s390x], linux-firmware [amd64 armhf arm64 ppc64el], intel-microcode [amd64], amd64-microcode [amd64]
Recommends: thermald [amd64]
Description: Nvidia-5.19 Linux kernel image
 This package will always depend on the latest nvidia-lowlatency kernel image
 available.

Package: linux-tools-nvidia-lowlatency-5.19
Architecture: amd64
Section: kernel
Provides: linux-tools
Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-nvidia-lowlatency
Description: Nvidia-5.19 Linux kernel tools
 This package will always depend on the latest nvidia-lowlatency kernel tools
 available.

Package: linux-cloud-tools-nvidia-lowlatency-5.19
Architecture: amd64
Section: kernel
Provides: linux-cloud-tools
Depends: ${misc:Depends}, linux-cloud-tools-${kernel-abi-version}-nvidia-lowlatency
Description: Nvidia-5.19 Linux kernel cloud tools
 This package will always depend on the latest nvidia-lowlatency kernel cloud tools
 available.

Package: linux-nvidia-lowlatency-5.19
Architecture: amd64
Section: kernel
Provides: kernel-testing--linux-nvidia-5.19--full--nvidia-lowlatency, kernel-testing--linux-nvidia-5.19--full--preferred,
Depends: ${misc:Depends}, linux-image-nvidia-lowlatency-5.19 (= ${binary:Version}), linux-headers-nvidia-lowlatency-5.19 (= ${binary:Version})
Description: Complete Nvidia-5.19 Linux kernel and headers
 This package will always depend on the latest complete nvidia-lowlatency Linux kernel
 and headers.



Package: linux-modules-nvidia-fs-nvidia-5.19
Architecture: arm64
Section: kernel
Provides: ${dkms:nvidia-fs-modules}
Depends:
 ${misc:Depends},
 linux-modules-nvidia-fs-${kernel-abi-version}-nvidia,
Description: Extra drivers for nvidia-fs for the nvidia flavour
 Install extra signed nvidia-fs modules compatible with the nvidia flavour.

Package: linux-modules-nvidia-fs-nvidia-64k-5.19
Architecture: arm64
Section: kernel
Provides: ${dkms:nvidia-fs-modules}
Depends:
 ${misc:Depends},
 linux-modules-nvidia-fs-${kernel-abi-version}-nvidia-64k,
Description: Extra drivers for nvidia-fs for the nvidia-64k flavour
 Install extra signed nvidia-fs modules compatible with the nvidia-64k flavour.
