## linux-meta-nvidia-5.19 5.19.0.1017.18

=== debian/changelog ===
linux-meta-nvidia-5.19 (5.19.0.1017.18) jammy; urgency=medium

  * Bump ABI 5.19.0-1017

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

 -- Ian May <ian.may@canonical.com>  Wed, 26 Jul 2023 22:37:50 -0500

linux-meta-nvidia-5.19 (5.19.0.1016.17) jammy; urgency=medium

  * Bump ABI 5.19.0-1016

 -- Brad Figg <bfigg@nvidia.com>  Mon, 24 Jul 2023 15:47:18 -0700

linux-meta-nvidia-5.19 (5.19.0.1015.16) jammy; urgency=medium

  * Bump ABI 5.19.0-1015

  * Packaging resync (LP: #1786013)
    - [Packaging] resync debian/dkms-versions from main package

 -- Brad Figg <bfigg@nvidia.com>  Mon, 17 Jul 2023 13:48:50 -0700
